Bug 54903 - Remove the dependency on the Activation Framework
Remove the dependency on the Activation Framework
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
All All
: P2 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-04-29 12:08 UTC by Emmanuel Bourg
Modified: 2013-12-23 19:21 UTC (History)
1 user (show)



Attachments
Patch removing the dependency on the activation framework (2.05 KB, patch)
2013-04-29 12:56 UTC, Emmanuel Bourg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Bourg 2013-04-29 12:08:22 UTC
JMeter still depends on the Activation Framework which is now part of Java 6. This dependency could be safely removed.
Comment 1 Emmanuel Bourg 2013-04-29 12:56:12 UTC
Created attachment 30239 [details]
Patch removing the dependency on the activation framework
Comment 2 Philippe Mouawad 2013-04-29 20:37:48 UTC
Thanks for patch.
But it seems to me JDK6 does not include the whole content of activation-1.1.1.jar.
So I am not sure we can apply this patch without side effects.
Comment 3 Emmanuel Bourg 2013-04-29 21:09:59 UTC
I think Activation 1.1.1 is also in Java 6. I found this:

http://www.oracle.com/technetwork/java/javase/downloads/index-135046.html


"JAF 1.1.1 released!

The JavaBeans Activation Framework 1.1.1 contains a bug fix for the Turkish locale and a minor enhancement to better support byte arrays and Strings in the DataHandler.writeTo method.

The JavaBeans Activation Framework 1.1.1 requires J2SE 1.4 or greater.

The JavaBeans Activation Framework 1.1.1 final release is included with the Java SE 6 release and is also available separately."


And also this post stating that Activation 1.1.1 was included in Java 6u10:

http://glassfish.10926.n7.nabble.com/javax-activation-UnsupportedDataTypeException-no-object-DCH-for-MIME-type-text-plain-with-JavaMail-ae-tp72106p72111.html
Comment 4 Philippe Mouawad 2013-04-29 21:23:00 UTC
Thanks, but checking with my last java version on mac osx 10.6.8 of jdk6, i don't see all classes from activation-1.1.1 that's why I am wondering.
Comment 5 Emmanuel Bourg 2013-04-29 21:25:15 UTC
Which one is missing? I'll give it a look.
Comment 6 Emmanuel Bourg 2013-04-30 07:47:07 UTC
I checked all the classes in activation-1.1.1-jar, the only ones missing from the public Java 6 API are either package private classes (e.g. ObjectDataContentHandler) or classes under com.sun.*.
Comment 7 Philippe Mouawad 2013-06-15 19:18:23 UTC
Date: Sat Jun 15 19:17:31 2013
New Revision: 1493407

URL: http://svn.apache.org/r1493407
Log:
Bug 54903 - Remove the dependency on the Activation Framework
Bugzilla Id: 54903

Modified:
    jmeter/trunk/build.properties
    jmeter/trunk/build.xml
    jmeter/trunk/xdocs/changes.xml
Comment 8 Philippe Mouawad 2013-06-15 19:18:36 UTC
Thanks, applied
Comment 9 Sebb 2013-07-17 15:23:52 UTC
URL: http://svn.apache.org/r1504172
Log:
Remove the dependency on the Activation Framework
Bugzilla Id: 54903

Modified:
    jmeter/trunk/lib/   (props changed)

URL: http://svn.apache.org/r1504171
Log:
Remove the dependency on the Activation Framework
Bugzilla Id: 54903

Modified:
    jmeter/trunk/eclipse.classpath
Comment 10 Sebb 2013-07-18 00:21:15 UTC
URL: http://svn.apache.org/r1504329
Log:
Remove the dependency on the Activation Framework
Bugzilla Id: 54903

Modified:
    jmeter/trunk/res/maven/ApacheJMeter_parent.pom
Comment 11 Sebb 2013-12-23 19:21:20 UTC
URL: http://svn.apache.org/r1553173
Log:
No longer need to include activation.jar
Bugzilla Id: 54903

Removed:
    jmeter/trunk/licenses/bin/activation-1.1.1.txt